Package: org.apache.groovy.groovysh

## [Groovy] Class CommandRegistry

- org.apache.groovy.groovysh.CommandRegistry

-     class CommandRegistry
      extends Object

  A registry of shell Command instances which may be executed.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Logger` | `log` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<Command>` | `commandList` A list of all of the registered commands.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandRegistry()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<Command>` | `commands()`
    `` | `Command` | `find(String name)`
    `` | `Command` | `getProperty(String name)`
    `` | `Iterator` | `iterator()`
    `` | `Command` | `register(Command command)`
    `` | `void` | `remove(Command command)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final Logger log

  - ### Property Detail

    - #### final List<Command> commandList

      A list of all of the registered commands.

  - ### Constructor Detail

    - #### CommandRegistry()

  - ### Method Detail

    - #### List<Command> commands()

    - #### Command find(String name)

    - #### Command getProperty(String name)

    - #### Iterator iterator()

    - #### Command register(Command command)

    - #### void remove(Command command)